//
// From SwiftUI by Example by Paul Hudson (@twostraws)
// https://www.hackingwithswift.com/quick-start/swiftui
// License: https://www.hackingwithswift.com/license
//

import SwiftUI

struct ContentView: View {
    var body: some View {
        VStack {
            Text("Fixed at the top")
                .frame(maxWidth: .infinity)
                .frame(height: 100)
                .background(.green)
                .foregroundStyle(.white)
    
            ScrollView {
                ForEach(0..<5) { i in
                    Text("Scrolling")
                        .frame(maxWidth: .infinity)
                        .frame(height: 200)
                        .background(.blue)
                        .foregroundStyle(.white)
                }
            }
            .scrollClipDisabled()
    
            Text("Fixed at the bottom")
                .frame(maxWidth: .infinity)
                .frame(height: 100)
                .background(.green)
                .foregroundStyle(.white)
        }
    }
}

#Preview {
    ContentView()
}
